メインコンテンツへスキップ
POST
/
crm
/
v3
/
properties
/
{objectType}
/
groups
プロパティーグループを作成
curl --request POST \
  --url https://api.hubapi.com/crm/v3/properties/{objectType}/groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "displayOrder": -1,
  "label": "My Property Group",
  "name": "mypropertygroup"
}
'
import requests

url = "https://api.hubapi.com/crm/v3/properties/{objectType}/groups"

payload = {
"displayOrder": -1,
"label": "My Property Group",
"name": "mypropertygroup"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({displayOrder: -1, label: 'My Property Group', name: 'mypropertygroup'})
};

fetch('https://api.hubapi.com/crm/v3/properties/{objectType}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "displayOrder": -1,
  "label": "My Property Group",
  "name": "mypropertygroup"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectType
string
必須

ボディ

application/json
label
string
必須

HubSpotに表示される、人間が読めるラベル。

name
string
必須

このAPIを使用してプロパティーグループを参照する際に使用する必要がある内部プロパティーグループ名。

displayOrder
integer<int32>

プロパティーグループは、最も小さい正の整数値を先頭に表示されます。「-1」という値にすると、そのプロパティーグループは全ての正の値よりも後に表示されます。

レスポンス

successful operation

An ID for a group of properties

archived
boolean
必須

プロパティグループがアーカイブ済みかどうかを示します。

displayOrder
integer<int32>
必須

プロパティーグループは、最も小さい正の整数値を先頭に表示されます。「-1」という値にすると、そのプロパティーグループは全ての正の値よりも後に表示されます。

label
string
必須

HubSpotに表示される、人間が読めるラベル。

name
string
必須

このAPIを使用してプロパティーグループを参照する際に使用する必要がある内部プロパティーグループ名。

最終更新日 2026年4月10日